/*
 * @Author: Zp store仓库，储存全局数据，分发任务
 * @Date: 2020-03-05 10:48:41
 * @Last Modified by: Zp
 * @Last Modified time: 2020-04-16 13:57:29
 */
import Vue from 'vue'
import Vuex from 'vuex'

// 按模块分类，分别管理，每个模块都是一个独立的store
// 应用模块
import app from './app'
// 用户模块
import user from './user'

Vue.use(Vuex)

export default new Vuex.Store({
  state: {
    // 添加测试用例数据
    testData: 0
  },
  mutations: {
    // 添加测试提交变更
    testCommit(state, value) {
      state.testData = value
    }
  },
  actions: {},
  modules: {
    app,
    user
  }
})
